Subject: Re: file in new branch also shown in master branch?

From: David Aguilar <[email-masked]>
Date: Mon, 28 Dec 2009 15:25:54 -0800

On Mon, Dec 28, 2009 at 04:37:08PM -0600, Carlos Santana wrote:
> Hi,
> 
> I tried following commands to test branching:
> 
> git branch test
> git checkout test

1. You are now on branch "test"

> echo "Test branch" >> testfile
> git status

2. This does nothing as far as git is concerned.
   "testfile" is still unknown to git.

> git checkout master

3. You are now on branch "master"

> git add .
> git commit

4. You just committed "testfile" to branch "master".
   Recall #3.  This may be where your confusion began.

> The 'testfile' file shows up in 'master' as well as 'test'. I thought

Nope, it only shows up in master.

try:
    git checkout test

It is gone.

> or am I missing something? I was unable to repeat same behavior again,
> so I am confused now. Any clues?

These are great references:

http://book.git-scm.com/3_basic_branching_and_merging.html
http://progit.org/book/ch3-0.html

Have fun,

-- 
		David